> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/eth/submit-bundles/list-of-external-builders.md).

# List of External Builders

{% hint style="info" %}
bloXroute works with more than twenty external builders to submit private transactions and bundles. Searchers can send requests directly to a builder that is listed as an external builder by specifying the name in the `mev_builders` parameter, or send to all builders by specifying **`all`** in the `mev_builders` parameter.
{% endhint %}

### REQUEST

**Method: `get_external_mev_builders`**

Returns a list of external builders that accept private transactions and MEV bundles.

**Parameters:** None

#### Examples

{% tabs %}
{% tab title="HTTPS POST" %}

```bash
curl https://api.blxrbdn.com \
    -X POST \
    -H "Content-Type: application/json" \
    -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
    -d '{
        "id": "1", 
        "method": "get_external_mev_builders", 
        "params": {}
        }'
     
```

{% endtab %}

{% tab title="wscat" %}

```bash
wscat -c wss://api.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>" --no-check 
> {
	"jsonrpc": "2.0", 
	"id": "1",
	"method": "get_external_mev_builders", 
	"params": {}
  }

```

{% endtab %}
{% endtabs %}

### RESPONSE

<table><thead><tr><th>Result Field</th><th>Description</th><th data-hidden></th><th data-hidden></th></tr></thead><tbody><tr><td><strong><code>mevBundleBuilders</code></strong></td><td>List of builders that accept MEV bundles. <strong><code>builderPublicKey</code></strong> entry in this field can be empty is builder's public key is unknown.</td><td></td><td></td></tr><tr><td><strong><code>privateTxBuilders</code></strong></td><td>List of builders that accept private transactions. <strong><code>builderPublicKey</code></strong> entry in this field can be empty is builder's public key is unknown.</td><td></td><td></td></tr></tbody></table>

```bash
{
    "id": "1",
    "result": {
        "mevBundleBuilders": [
            {
                "builderName": "titan",
                "builderPublicKey": "0xb67eaa5efcfa1d17319c344e1e5167811afbfe7922a2cf01c9a361f465597a5dc3a5472bd98843bac88d2541a78eab08",
                "supportsUUIDBundles": true
            },
            {
                "builderName": "beaverbuild",
                "builderPublicKey": "0x96a59d355b1f65e270b29981dd113625732539e955a1beeecbc471dd0196c4804574ff871d47ed34ff6d921061e9fc27",
                "supportsUUIDBundles": true
            },
            {
                "builderName": "rsync-builder",
                "builderPublicKey": "0x83d3495a2951065cf19c4d282afca0a635a39f6504bd76282ed0138fe28680ec60fa3fd149e6d27a94a7d90e7b1fb640",
                "supportsUUIDBundles": true
            },
            ......
        ],
        "privateTxBuilders": [
            {
                "builderName": "rsync-builder",
                "builderPublicKey": "0x83d3495a2951065cf19c4d282afca0a635a39f6504bd76282ed0138fe28680ec60fa3fd149e6d27a94a7d90e7b1fb640"
            },
            {
                "builderName": "beaverbuild",
                "builderPublicKey": "0x96a59d355b1f65e270b29981dd113625732539e955a1beeecbc471dd0196c4804574ff871d47ed34ff6d921061e9fc27"
            },
            {
                "builderName": "titan",
                "builderPublicKey": "0xb67eaa5efcfa1d17319c344e1e5167811afbfe7922a2cf01c9a361f465597a5dc3a5472bd98843bac88d2541a78eab08"
            },
            ......
        ]
    },
    "jsonrpc": "2.0"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/eth/submit-bundles/list-of-external-builders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
